Index: varia/src/resources/jmx/html/displayMBeans.jsp
===================================================================
--- varia/src/resources/jmx/html/displayMBeans.jsp	(revision 73826)
+++ varia/src/resources/jmx/html/displayMBeans.jsp	(working copy)
@@ -2,40 +2,42 @@
 <%@page contentType="text/html"
    import="java.net.*,java.util.*,org.jboss.jmx.adaptor.model.*,java.io.*"
 %>
+<%@page isELIgnored="false" %>
 <!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html>
 <head>
-   <title>JBoss JMX Management Console</title>
+   <title>${messages["JBoss JMX Management Console"]}</title>
    <link rel="stylesheet" href="style_master.css" type="text/css" />
    <meta http-equiv="cache-control" content="no-cache" />
 </head>
 <body>
-   <img src="images/logo.gif" align="right" border="0" alt="logo" />
+   <img src="images/logo.gif" align="right" border="0" alt="${messages['logo']}" />
    <%
-   	String hostname = "";
+   	String hostname = ""; //$NON-NLS-1$
    	try {
    		hostname = InetAddress.getLocalHost().getHostName();
    	} catch (IOException e) {
    	}
    %>
-   <h1>JMX Agent View</h1>
+   <h1>${messages["JMX Agent View"]}</h1>
    <h3><%=hostname%></h3>
 
 <form action="HtmlAdaptor?action=displayMBeans" method="post" name="applyFilter" id="applyFilter">
-ObjectName Filter (e.g. "jboss:*", "*:service=invoker,*"): <br />
-<input type="text" name="filter" size="40" value="<%= request.getAttribute("filter")%>" /> <%
- 	if (request.getAttribute("filterError") != null) {
-		out.println("<span class='error'>"+request.getAttribute("filterError")+"</span>");
+${messages['ObjectName Filter (e.g. "jboss:*", "*:service=invoker,*")']}: <br />
+<input type="text" name="filter" size="40" value="<%= request.getAttribute("filter") //$NON-NLS-1$
+%>" /> <%
+ 	if (request.getAttribute("filterError") != null) { //$NON-NLS-1$
+		out.println("<span class='error'>"+request.getAttribute("filterError")+"</span>"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
  	}
  %>
   <br/>
-<input type="submit" name="apply" value="Apply Filter" />
-<input type="button" onClick="javascript:location='HtmlAdaptor?filter='" value="Clear Filter" />
+<input type="submit" name="apply" value="${messages['Apply Filter']}" />
+<input type="button" onClick="javascript:location='HtmlAdaptor?filter='" value="${messages['Clear Filter']}" />
 
 <%
-	for (Iterator mbeans = (Iterator) request.getAttribute("mbeans"); mbeans
+	for (Iterator mbeans = (Iterator) request.getAttribute("mbeans"); mbeans //$NON-NLS-1$
 			.hasNext();) {
 		DomainData domainData = (DomainData) mbeans.next();
 %>
Index: varia/src/resources/jmx/html/displayOpResult.jsp
===================================================================
--- varia/src/resources/jmx/html/displayOpResult.jsp	(revision 73826)
+++ varia/src/resources/jmx/html/displayOpResult.jsp	(working copy)
@@ -4,6 +4,7 @@
    		   java.beans.PropertyEditor,
    		   org.jboss.util.propertyeditor.PropertyEditors"
 %>
+<%@page isELIgnored="false" %>
 
 <!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
@@ -11,7 +12,7 @@
 
 <html>
 <head>
-   <title>Operation Results</title>
+   <title>${messages["Operation Results"]}</title>
    <link rel="stylesheet" href="style_master.css" type="text/css" />
    <meta http-equiv="cache-control" content="no-cache" />
 </head>
@@ -19,30 +20,35 @@
 
 <jsp:useBean id='opResultInfo' type='org.jboss.jmx.adaptor.control.OpResultInfo' scope='request'/>
 
-         <img src="images/logo.gif" align="right" border="0" alt="logo" />
-         <h1>JMX MBean Operation Result</h1>
-         <h3><%= request.getParameter("name") %></h3>
-         <h3>Operation <code><%= opResultInfo.name%>()</code></h3>
+         <img src="images/logo.gif" align="right" border="0" alt="${messages['logo']}" />
+         <h1>${messages["JMX MBean Operation Result"]}</h1>
+         <h3><%= request.getParameter("name")  //$NON-NLS-1$
+         %></h3>
+         <% pageContext.setAttribute("opName", opResultInfo.name); //$NON-NLS-1$
+         %>
+         <h3>${messages["Operation <code>{0}()</code>"][opName]}</h3>
 
 <p>
-<a href='HtmlAdaptor?action=displayMBeans'>Back to Agent View</a>
+<a href='HtmlAdaptor?action=displayMBeans'>${messages["Back to Agent View"]}</a>
 &emsp;
-<a href='HtmlAdaptor?action=inspectMBean&amp;name=<%= URLEncoder.encode(request.getParameter("name")) %>'>Back to MBean View</a>
+<a href='HtmlAdaptor?action=inspectMBean&amp;name=<%= URLEncoder.encode(request.getParameter("name"))  //$NON-NLS-1$
+%>'>${messages["Back to MBean View"]}</a>
 &emsp;
 <a href=
 <%
-	out.print("'HtmlAdaptor?action=invokeOpByName");
-	out.print("&amp;name=" + URLEncoder.encode(request.getParameter("name")));
-	out.print("&amp;methodName=" + opResultInfo.name );
+	out.print("'HtmlAdaptor?action=invokeOpByName"); //$NON-NLS-1$
+	out.print("&amp;name=" + URLEncoder.encode(request.getParameter("name"))); //$NON-NLS-1$ //$NON-NLS-2$
+	out.print("&amp;methodName=" + opResultInfo.name ); //$NON-NLS-1$
 
 	for (int i=0; i<opResultInfo.args.length; i++)
     {
-		out.print("&amp;argType=" + opResultInfo.signature[i]);
-		out.print("&amp;arg" + i + "=" + opResultInfo.args[i]);
+		out.print("&amp;argType=" + opResultInfo.signature[i]); //$NON-NLS-1$
+		out.print("&amp;arg" + i + "=" + opResultInfo.args[i]); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
-	out.println("'>Reinvoke MBean Operation");
-%>
+	out.print("'"); //$NON-NLS-1$
+%>>
+${messages["Reinvoke MBean Operation"]}
 </a>
 </p>
 
@@ -52,7 +58,7 @@
    if( opResultInfo.result == null )
    {
 %>
-   Operation completed successfully without a return value.
+   ${messages["Operation completed successfully without a return value."]}
 <%
    }
    else
@@ -67,12 +73,12 @@
          opResultString = opResultInfo.result.toString();
       }
 
-      boolean hasPreTag = opResultString.startsWith("<pre>");
+      boolean hasPreTag = opResultString.startsWith("<pre>"); //$NON-NLS-1$
       if( hasPreTag == false )
-         out.println("<pre>");
+         out.println("<pre>"); //$NON-NLS-1$
       out.println(opResultString);
       if( hasPreTag == false )
-         out.println("</pre>");
+         out.println("</pre>"); //$NON-NLS-1$
    }
 %>
    </span>
